searchNodes=[{"doc":"A Top like implementation for Elixir Applications.Usage# Start with default options iex&gt; Etop.start() # Temporarily pause/stop iex&gt; Etop.pause() # Restart when paused iex&gt; Etop.start # Start logging to an exs file iex&gt; Etop.start file: &quot;/tmp/etop.exs&quot; # Load the current exs file iex&gt; data = Etop.load # Start then change number of processes and interval between collecting results iex&gt; Etop.start iex&gt; Etop.set_opts nprocs: 15, interval: 15_000 # or iex&gt; Etop.start iex&gt; Etop.pause iex&gt; Etop.start nprocs: 15, interval: 15_000 # Stop Etop, killing its GenServer iex&gt; Etop.stop","ref":"Etop.html","title":"Etop","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Etop.html#child_spec/1","title":"Etop.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Etop.html#init/1","title":"Etop.init/1","type":"function"},{"doc":"Load the current exs log file.","ref":"Etop.html#load/0","title":"Etop.load/0","type":"function"},{"doc":"Pause a running Etop session.","ref":"Etop.html#pause/0","title":"Etop.pause/0","type":"function"},{"doc":"Set Etop settings","ref":"Etop.html#set_opts/1","title":"Etop.set_opts/1","type":"function"},{"doc":"Start Etop Reporting.","ref":"Etop.html#start/1","title":"Etop.start/1","type":"function"},{"doc":"","ref":"Etop.html#statistics/1","title":"Etop.statistics/1","type":"function"},{"doc":"Get the status of the server","ref":"Etop.html#status/0","title":"Etop.status/0","type":"function"},{"doc":"","ref":"Etop.html#status!/0","title":"Etop.status!/0","type":"function"},{"doc":"Stop Etop Reporting.","ref":"Etop.html#stop/0","title":"Etop.stop/0","type":"function"},{"doc":"Create a ascii charts.Examplesiex&gt; data = for i &lt;- 1..30, do: i * 2 + :rand.uniform(4) - 2 iex&gt; labels = for {_, i} &lt;- Enum.with_index(data), do: &quot;Label \#{i}&quot; iex&gt; Etop.Chart.puts(data, labels: labels, title: &quot;Test Plot&quot;) Test Plot --------- 64 | * 60 | * 56 | * * 52 | * * * 48 | * 44 | * * 40 | * 36 | * * * * 32 | * 28 | * * 24 | * * 20 | * * 16 | * * 12 | * * 8 | * * * 4 | * 0 | +-------------------+-------------------+-------------------+-- Label 10 Label 20","ref":"Etop.Chart.html","title":"Etop.Chart","type":"module"},{"doc":"Write a chart of the given data to the console.Creates a plot of some time scale data with the following features:plot titleconfigurable chart height and widthperforms y axis down scaling to fit to the given widthperforms x axis down-scaling by taking the max of values in the scaling groupPerforms y axis lower bound truncating (0, min..max)x scale label prefixoption x axis labels (defaults to the series number if not provided)Optionsheight (20) - the height of the y axiswidth (100) - the width of the x axisy_label_postfix (&quot;&quot;) - the appended y axis labeltitle (nil) - Sting printed at the top of the chartlabels (nil) - List of x-axis labelsempty_char (0x20 - space) - the character for an empty charplot_char (?*) - the character for a plot pointExamplesiex&gt; data = Enum.to_list(1..20) iex&gt; labels = for i &lt;- data, do: &quot;Label \#{i}&quot; iex&gt; Etop.Chart.puts(data, labels: label)","ref":"Etop.Chart.html#generate/2","title":"Etop.Chart.generate/2","type":"function"},{"doc":"Generate and print a chart.Calls generate/2 and prints the result.See Etop.Chart.generate/2 for more information.","ref":"Etop.Chart.html#puts/2","title":"Etop.Chart.puts/2","type":"function"},{"doc":"Helpers for Etop.","ref":"Etop.Reader.html","title":"Etop.Reader","type":"module"},{"doc":"","ref":"Etop.Reader.html#get_stats/1","title":"Etop.Reader.get_stats/1","type":"function"},{"doc":"Handle the timer timeout.Collect and report the Top information.","ref":"Etop.Reader.html#handle_collect/2","title":"Etop.Reader.handle_collect/2","type":"function"},{"doc":"Fetch the top stats from either a current node or a remote node.Gets the following information and sends {:result, info_map} to the calling process:%{ procs: List of Process.info(pid) with memory stats added, nprocs: total process count, memory: overall memory information, runq: length of the run queue, util2: contents of &quot;/proc/&lt;os-pid&gt;/stat&quot;, }NOTE: remote nodes are not working.","ref":"Etop.Reader.html#remote_stats/1","title":"Etop.Reader.remote_stats/1","type":"function"},{"doc":"Configurable sort.Argumentslist - the enumerable to be sorted.field (:reductions_diff) - the field to be sorted on.field_fn (fn field -&gt; &amp;elem(&amp;1, 1)[field] end) - function to get the field.sorter_fn (&amp;&gt;/2) -&gt; Sort comparator (default descending)","ref":"Etop.Reader.html#sort/4","title":"Etop.Reader.sort/4","type":"function"},{"doc":"ETOP Reporting Helpers.A set of functions to use to parse and process Etop results.Example output of :etop output======================================================================================== nonode@nohost 14:21:44 Load: cpu 0 Memory: total 120652 binary 8186 procs 538 processes 58065 code 28599 runq 0 atom 1498 ets 8615 Pid Name or Initial Func Time Reds Memory MsgQ Current Function ---------------------------------------------------------------------------------------- &lt;0.850.0&gt; &#39;Elixir.InfinityOne. &#39;-&#39; 32457 90772 0 gen_server:loop/7 &lt;0.992.0&gt; etop_txt:init/1 &#39;-&#39; 18534 1115108 0 etop:update/1 &lt;0.459.0&gt; erlang:apply/2 &#39;-&#39; 15943 5740 0 &#39;Elixir.ExAmi.Reader &lt;0.64.0&gt; group:server/3 &#39;-&#39; 1250414662300 0 group:server_loop/3 &lt;0.935.0&gt; &#39;Elixir.UcxWallboard &#39;-&#39; 1210 109380 0 gen_server:loop/7 &lt;0.954.0&gt; &#39;Elixir.UcxWallboard &#39;-&#39; 1192 75892 0 gen_server:loop/7 &lt;0.62.0&gt; user_drv &#39;-&#39; 1150 26612 0 user_drv:server_loop &lt;0.934.0&gt; &#39;Elixir.UcxWallboard &#39;-&#39; 1118 142868 0 gen_server:loop/7 &lt;0.948.0&gt; &#39;Elixir.UcxWallboard &#39;-&#39; 1046 42404 0 gen_server:loop/7 &lt;0.615.0&gt; &#39;Elixir.DBConnection &#39;-&#39; 949 29716 0 gen_server:loop/7 ========================================================================================","ref":"Etop.Report.html","title":"Etop.Report","type":"module"},{"doc":"Get the column with of the given column number.","ref":"Etop.Report.html#column_width/1","title":"Etop.Report.column_width/1","type":"function"},{"doc":"Create a report of the given processes list, and summary stats.","ref":"Etop.Report.html#create_report/3","title":"Etop.Report.create_report/3","type":"function"},{"doc":"Get the data loaded by compiling the output exs file.","ref":"Etop.Report.html#get/0","title":"Etop.Report.get/0","type":"function"},{"doc":"Helper to create and output the report.Output options:print to current leadersave text format to filesave executable format to exs file","ref":"Etop.Report.html#handle_report/1","title":"Etop.Report.handle_report/1","type":"function"},{"doc":"Map the given list to the given extract fields.","ref":"Etop.Report.html#list/2","title":"Etop.Report.list/2","type":"function"},{"doc":"Map the given list.","ref":"Etop.Report.html#list/3","title":"Etop.Report.list/3","type":"function"},{"doc":"List the cpu usage values.","ref":"Etop.Report.html#list_cpu/1","title":"Etop.Report.list_cpu/1","type":"function"},{"doc":"List the memory usage fields.","ref":"Etop.Report.html#list_memory/2","title":"Etop.Report.list_memory/2","type":"function"},{"doc":"Load the given exs file.","ref":"Etop.Report.html#load/1","title":"Etop.Report.load/1","type":"function"},{"doc":"Get the entry with the max load.Gets the entries from Etop.Agent","ref":"Etop.Report.html#max/0","title":"Etop.Report.max/0","type":"function"},{"doc":"Get the entry with the max load from the given entries list.","ref":"Etop.Report.html#max/1","title":"Etop.Report.max/1","type":"function"},{"doc":"Print a chart of the given data.","ref":"Etop.Report.html#plot/2","title":"Etop.Report.plot/2","type":"function"},{"doc":"Print a chart of the cpu usage.","ref":"Etop.Report.html#plot_cpu/2","title":"Etop.Report.plot_cpu/2","type":"function"},{"doc":"Print a chart of the memory usage.","ref":"Etop.Report.html#plot_memory/2","title":"Etop.Report.plot_memory/2","type":"function"},{"doc":"Print a report.Prints a single top entry or a list of top entries to leader or the given file.","ref":"Etop.Report.html#print/2","title":"Etop.Report.print/2","type":"function"},{"doc":"Save a report in Elixir terms format.Saves the report so that it can be later loaded and analyzed.","ref":"Etop.Report.html#save_exs_report/2","title":"Etop.Report.save_exs_report/2","type":"function"},{"doc":"Get to top entries.","ref":"Etop.Report.html#top/2","title":"Etop.Report.top/2","type":"function"},{"doc":"Utility helpers for Etop.","ref":"Etop.Utils.html","title":"Etop.Utils","type":"module"},{"doc":"Center the given string in the given length.Examplesiex&gt; Etop.Utils.center(&quot;Test&quot;, 8) &quot; Test &quot; iex&gt; Etop.Utils.center(&#39;Test&#39;, 8, &quot;-&quot;) &quot;--Test--&quot;","ref":"Etop.Utils.html#center/3","title":"Etop.Utils.center/3","type":"function"},{"doc":"Returns the server's local naive datetime with the microsecond field truncated to the given precision (:microsecond, :millisecond or :second).Argumentsdatetime (default utc_now)precision (default :second)Examplesiex&gt; datetime = Etop.Utils.local_time() iex&gt; datetime.year &gt;= 2020 true iex&gt; datetime = Etop.Utils.local_time(:millisecond) iex&gt; elem(datetime.microsecond, 1) 3 iex&gt; datetime = NaiveDateTime.utc_now() iex&gt; expected = NaiveDateTime.add(datetime, Etop.Utils.timezone_offset()) iex&gt; Etop.Utils.local_time(datetime) == %{expected | microsecond: {0, 0}} true iex&gt; datetime = NaiveDateTime.utc_now() iex&gt; expected = NaiveDateTime.add(datetime, Etop.Utils.timezone_offset()) iex&gt; Etop.Utils.local_time(datetime, :microsecond) == expected true","ref":"Etop.Utils.html#local_time/2","title":"Etop.Utils.local_time/2","type":"function"},{"doc":"Pad (leading) the given string with spaces for the given length.Examplesiex&gt; Etop.Utils.pad(&quot;Test&quot;, 8) &quot; Test&quot; iex&gt; Etop.Utils.pad(&quot;Test&quot;, 2) &quot;Test&quot; iex&gt; Etop.Utils.pad(100, 4, &quot;0&quot;) &quot;0100&quot;","ref":"Etop.Utils.html#pad/3","title":"Etop.Utils.pad/3","type":"function"},{"doc":"Pad (trailing) the given string with spaces for the given length.Examplesiex&gt; Etop.Utils.pad_t(&quot;Test&quot;, 8) &quot;Test &quot; iex&gt; Etop.Utils.pad_t(&quot;Test&quot;, 2) &quot;Test&quot; iex&gt; Etop.Utils.pad_t(10.1, 5, &quot;0&quot;) &quot;10.10&quot;","ref":"Etop.Utils.html#pad_t/3","title":"Etop.Utils.pad_t/3","type":"function"},{"doc":"Get the server's timezone offset in seconds.","ref":"Etop.Utils.html#timezone_offset/0","title":"Etop.Utils.timezone_offset/0","type":"function"},{"doc":"Etop - A Unix like top library for Elixir ApplicationsA Unix top like functionality for Elixir Applications.","ref":"readme.html","title":"Etop - A Unix like top library for Elixir Applications","type":"extras"},{"doc":"Configurable number of listed processesConfigurable intervalStart, Stop, Pause, and change configuration optionsRemote Node (Not working yet)Print results toIO leadertext fileexs fileexs file logging allow loading and post processing resultsascii charting of results","ref":"readme.html#features","title":"Etop - A Unix like top library for Elixir Applications - Features","type":"extras"},{"doc":"There are 2 reasons why I created this libraryOur default production installations don't have etop or observer includedThis version supports loading and post processing log files","ref":"readme.html#why-not-use-erlang-s-etop-library","title":"Etop - A Unix like top library for Elixir Applications - Why not use erlang's :etop library?","type":"extras"},{"doc":"If available in Hex, the package can be installed by adding etop to your list of dependencies in mix.exs:def deps do [ {:etop, &quot;~&gt; 0.1.0&quot;} ] endDocumentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/etop.","ref":"readme.html#installation","title":"Etop - A Unix like top library for Elixir Applications - Installation","type":"extras"},{"doc":"Etop is Copyright (c) 2020-2021 E-MetroTelThe source code is released under the MIT License.Check LICENSE for more information.","ref":"readme.html#license","title":"Etop - A Unix like top library for Elixir Applications - License","type":"extras"},{"doc":"The MIT License (MIT)Copyright (c) 2020 E-MetroTelPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]